# Crate actix_ws

source ·
Expand description

WebSockets for Actix Web, without actors.

For usage, see documentation on `handle()`.

## Structs

- CloseReason
  Reason for closing the connection
- Closed
  The error representing a closed websocket session
- MessageStream
  A stream of Messages from a websocket client
- Session
  A handle into the websocket session.
- StreamingBody
  A response body for Websocket HTTP Requests

## Enums

- CloseCode
  Status code used to indicate why an endpoint is closing the WebSocket connection.
- Message
  A WebSocket message.
- ProtocolError
  WebSocket protocol errors.

## Functions

- handle
  Begin handling websocket traffic